/* ftofix - Converts a float to a fix

   By James Stanley

   No license - Use as you wish */

#include <allegro.h>
#include <stdio.h>

int main() {
  float num;
  
  fputs("Number: ", stdout);
  
  fscanf(stdin, "%f", &num);
  
  printf("0x%x\n", ftofix(num));
  
  return 0;
}
